<?php

declare (strict_types=1);
namespace CelerSearch\Vendor\Meilisearch\Endpoints\Delegates;

use CelerSearch\Vendor\Meilisearch\Contracts\Task;
use CelerSearch\Vendor\Meilisearch\Endpoints\Snapshots;
/** @internal */
trait HandlesSnapshots
{
    protected Snapshots $snapshots;
    public function createSnapshot() : Task
    {
        return $this->snapshots->create();
    }
}
